# PetscMalloc4

Allocates 4 chunks of memory

### Input Parameter

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| t1 | - type of first memory elements
| m2 | - number of elements to allocate in 2nd chunk (may be zero)
| t2 | - type of second memory elements
| m3 | - number of elements to allocate in 3rd chunk (may be zero)
| t3 | - type of third memory elements
| m4 | - number of elements to allocate in 4th chunk (may be zero)
| t4 | - type of fourth memory elements

### Output Parameter

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk
| r3 | - memory allocated in third chunk
| r4 | - memory allocated in fourth chunk

### Synopsis

    PetscErrorCode PetscMalloc4(size_t m1,type, t1,void **r1,size_t m2,type t2,void **r2,size_t m3,type t3,void **r3,size_t m4,type t4,void **r4)

Notes: Memory of first chunk is always allocated at least double aligned

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree3(), PetscFree4()

Level:developer
Location:include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages